/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * See file LICENSE at the top of this source tree for license information.
 */

#ifndef	_DEV_IO_H_
#define	_DEV_IO_H_

#include <linux/hdreg.h>
#include <sys/stat.h>
#include "internal.h"

#define BLKSSZGET  _IO(0x12, 0x68) /* get block device sector size */
#define	DMRAID_SECTOR_SIZE	512

#define	DM_SECTORS	63
#define	DM_HEADS	255

struct dmraid_dev;

struct disk_info {
	struct list_head list;

	char *path;	/* Actual device node path. */
	char *serial;	/* SCSI serial number. */
	struct dmraid_dev *rd;	/* Raid disk pointer if discovered. */
	uint64_t sectors;
};

int discover_devices(struct lib_context *lc);
struct disk_info *alloc_disk_info(char *path);
void free_disk_info(struct lib_context *lc, struct disk_info *di);

#endif
