/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * See file LICENSE at the top of this source tree for license information.
 */

#ifndef _MISC_H_
#define _MISC_H_

struct lib_version {
	const char *text;
	struct {
		unsigned int major;
		unsigned int minor;
		unsigned int sub_minor;
		const char *suffix;
	} v;
};

void sysfs_workaround(struct lib_context *lc);
void mk_alpha(char *str, size_t len);
char *remove_spaces(char *str, size_t len);

struct lib_context;
int libdmraid_init(struct lib_context **lc, int argc, char **argv);
void libdmraid_exit(struct lib_context *lc);
const char *libdmraid_version(struct lib_context *lc);

int mk_dir(struct lib_context *lc, const char *dir);


int read_file(struct lib_context *lc, char *path, void *buffer,
	      size_t size, loff_t offset);
int write_file(struct lib_context *lc, char *path, void *buffer,
	       size_t size, loff_t offset);

int yes_no_prompt(const char *prompt, ...);

void free_string(char **string);
int p_str(char **string, const char *s);
int p_u64(char **string, uint64_t u);

#endif
