/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * See file LICENSE at the top of this source tree for license information.
 */

#include <string.h>
#include <malloc.h>
#include <sys/types.h>
#include <stdint.h>
#include "dbg_malloc.h"
#include "log/log.h"

void *dbg_malloc(size_t size)
{
	return malloc(size);
}

void *dbg_realloc(void *ptr, size_t size)
{
	return realloc(ptr, size);
}

void dbg_free(void *ptr)
{
	free(ptr);
}

void *dbg_strdup(void *ptr)
{
	void *ret;

	if ((ret = dbg_malloc(strlen(ptr) + 1)))
		strcpy(ret, ptr);

	return ret;

}
